Copy/Paste style should not override band number
Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23694

Description

With a multiband raster, rendered using a singleband pseudocolor type, copy/paste style does not work between bands, as the band

number is copied as part of the style. A singleband pseudocolor type implies that the style is independent of the raster band number. This

type should be able to be copied to any raster band number. Furthermore, a band number is much more of a data source than it is a style,

as different bands have different data.

Steps to recreate or demonstrate the issue in QGIS 2.18 via OSGeo4W:

    1. Add a multiband raster, and go to Properties, Style

    2. Change Render type to Singleband pseudocolor, set Band to Band 1

    3. Change style, e.g. Color to Blues, and click OK

    4. Add a second multiband raster, and go to Properties, Style

    5. Change Render type to Singleband pseudocolor, set Band to Band 2

    6. Change style, e.g. Color to Oranges, and click OK

    7. Copy style from the first raster, and paste style to the second raster

There are two unexpected results in the second raster, viewed in the Style Properties:

    1. The band number has changed from Band 2 to Band 1.

    2. An attempt to change the Band number back to 2 will undo the style copy, and the previous style (Oranges) will be retained.

This effectively makes it impossible to copy a singleband pseudocolor type between different bands, since the band number is

overwritten, and the style is lost when band number is changed.

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

2025-04-27 1/2

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
